VisualEditor: Save dialog is far too small in Monobook, making edit summaries hard to write
Closed, ResolvedPublic

Description

Screenshot

See the screenshot; it appears in Monobook on enwiki and mediawiki.org as of the latest release. Kiiinda a problem.

(the other interstitials there - review your changes/save page - are also shrunk).


Version: unspecified
Severity: normal

Attached:

bzimport set Reference to bz50058.
Ironholds created this task.Via LegacyJun 23 2013, 4:41 PM
Jdforrester-WMF added a comment.Via ConduitJun 23 2013, 4:44 PM

Timo, what have you wrought?! ;-)

Krinkle added a comment.Via ConduitJun 23 2013, 10:45 PM

This is due to Monobook's "interesting" way of resetting the font-size to a consistent value cross-browser. It sets the <body> font-size to x-small, and then turn it back up to regular size with "font-size: 127%;" from their globalWrapper div.

Due to this odd construct, any new elements attached to the <body> have an exceptionally small font size.

Short of hardcoding a larger font-size for the overlay wrappers in Monobook or appending to #globalWrapper in monobook (which might cause others bugs due to not being in the <body> directly) - short of that this is a tough one to get right. Ideally core would fix this in Monobook by using the same font-size technique used by Vector.

In Monobook's author's defence (Gabriel), the browsers we had to support when Monobook was being developed made it quite difficult to do right so this was probably the best way to do it at the time – but we no longer need to worry about IE5.5, IE4-for-Mac, Opera<7 etc.

GWicke added a comment.Via ConduitJun 24 2013, 7:58 PM

You could add a CSS rule that uses the same technique for the dialog.

Setting a simple relative font size (0.7em or something like that) makes it impossible to set the browser's default size to something sensible, as 0.7 * something sensible is usually too small. The non-linear nature of keyword scaling gives a good compromise between honoring a browser's font size and providing sane defaults despite 16px browser defaults.

So if there are other JS-free solutions to this issue these days then that would be great.

TTO added a comment.Via ConduitJul 10 2013, 7:46 AM
  • Bug 51034 has been marked as a duplicate of this bug. ***
TTO added a comment.Via ConduitJul 14 2013, 12:38 PM
  • Bug 51315 has been marked as a duplicate of this bug. ***
Spinningspark added a comment.Via ConduitJul 14 2013, 1:05 PM

Can I suggest that the title of this bug is changed to something more meaningful? If the words "edit summary" were included there would probably be fewer duplicatates reported.

Jdforrester-WMF added a comment.Via ConduitJul 14 2013, 1:07 PM

(In reply to comment #6)

Can I suggest that the title of this bug is changed to something more
meaningful? If the words "edit summary" were included there would probably
be fewer duplicatates reported.

Done.

bzimport added a comment.Via ConduitJul 22 2013, 2:00 PM

mrkmg90 wrote:

Review changes popup

The review changes popup also has the same sizing issues...

My eyes strain so hard trying to read the lines!

Attached:

gerritbot added a comment.Via ConduitJul 24 2013, 11:13 PM

Change 75814 had a related patch set uploaded by Esanders:
Fix font size for overlays in Monobook

https://gerrit.wikimedia.org/r/75814

Elitre added a comment.Via ConduitJul 24 2013, 11:20 PM

I'd add that even on en.wp Monobook is used by many (at least if I read correctly http://en.wikipedia.org/wiki/Wikipedia:Database_reports/User_preferences#Skin ).
I had quite a few complaints about this now at it.wp, so it would really great if we managed to fix this ASAP. Thanks!

(confl. by Gerrit: fixed now?)

gerritbot added a comment.Via ConduitJul 25 2013, 10:38 PM

Change 75814 merged by jenkins-bot:
Fix font size for overlays in Monobook

https://gerrit.wikimedia.org/r/75814

Jdforrester-WMF added a comment.Via ConduitJul 25 2013, 11:11 PM

Now fixed in master and will be deployed in a few minutes' time.

Add Comment